'penmana2

input "Enter insolation, Qs (MJ/(m2*d): ", qs
input "Enter air temperature, Ta (C): ", ta
input "Enter wet bulb temp., Tw (C): ", tw
input "Enter wind at 150 cm, vp (km/d): ", vp
input "Enter barometric pressure, p (mb): ", p

print qs, ta, tw, vp, p
qn = 0.1706*qs +1.256e-4*qs*(ta+17.8)^1.87 +2.2485e-3*qs*qs _
      -1.364e-6*qs*qs*(ta-7.2)*(ta-7.2) -1.02
dg = 1./(1.+0.00066*p/((0.00815*ta+0.8912)^7))
gd = 1. - dg
esa = 33.8639*((0.00738*ta+0.8072)^8 -0.000019*abs(1.8*ta+48)_
					  +0.001316)
ew = 33.8639*((0.00738*tw+0.8072)^8 -0.000019*abs(1.8*tw+48)_
					  +0.001316)

tak = ta + 273.16
twk = tw + 273.16
pp = 0.01*p
pw = 0.01*ew
if ((273.16-twk)*(twk-255.38) >= 0.) then
	hg = 2839683.144 -212.56384*(twk-255.38)
elseif ((338.72-twk)*(twk-273.16) >= 0.) then
	hg = 2502535.259 -2385.76424*(twk-273.16)
else
	print "wet bulb temp. out of range"
	stop
end if
ap = 1619.0073*(pw-pp)*(tak-twk)/hg
pa = (pw+ap)/(1-0.15577*ap/pp)
ea = 100.*pa

eea = ((esa-ea)^0.88)*(0.42+0.0029*vp)
e = dg*qn + gd*eea
pet = 0.7*e
print " Qn (mm/d) =", qn
print " delta/(gamma+delta) =", dg
print " gamma/(gamma+delta) =", gd
print " H2O saturation pressure (mb) =", esa
print " H2O sat press (mb) at wet bulb temp =", ew
print " H2O vapor pressure (mb) =", ea
print " Ea (mm/d) =", eea
print " E (mm/d) = ", e
print " PET (mm/d) = ", pet
end
