'penmana1

input "Enter insolation, Qs (MJ/(m2*d): ", qs
input "Enter air temperature, Ta (C): ", ta
input "Enter dew point, Td (C): ", td
input "Enter wind at 150 cm, vp (km/d): ", vp
input "Enter barometric pressure, p (mb): ", p

print qs, ta, td, vp, p
qn = 0.1706*qs +1.256e-4*qs*(ta+17.8)^1.87 +2.2485e-3*qs*qs _
      -1.364e-6*qs*qs*(ta-7.2)*(ta-7.2) -1.02
dg = 1./(1.+0.00066*p/((0.00815*ta+0.8912)^7))
gd = 1. - dg
esa = 33.8639*((0.00738*ta+0.8072)^8 -0.000019*abs(1.8*ta+48)_
                 +0.001316)
ea = (((112.-0.1*ta+td)/(112.+0.9*ta))^8)*esa
eea = ((esa-ea)^0.88)*(0.42+0.0029*vp)
e = dg*qn + gd*eea
pet = 0.7*e
print " Qn (mm/d) =", qn
print " delta/(gamma+delta) =", dg
print " gamma/(gamma+delta) =", gd
print " H2O saturation pressure (mb) =", esa
print " H2O vapor pressure (mb) =", ea
print " Ea (mm/d) =", eea
print " E (mm/d) = ", e
print " PET (mm/d) = ", pet
end
